Gravv DOCS
Docs Agent Get Started
API Reference Create an account

Create an account

Create a new internal account for a customer.

For sandbox and testing integrations, we recommend using polygon as the blockchain_network.

POST/v1/accounts

Headers

Required for POST requests. Reuse the key only when retrying the same operation with an identical payload.

Request Body

Currency code for the account

Possible values: USD, EUR, MXN, NGN

Type of account

Possible values: regular, savings

Label for the account

ID of the customer who owns this account

Blockchain network for the account

Possible values: polygon, stellar, ethereum, solana, avalanche

Blockchain wallet address to associate with the account.

Request Examples

{
"currency": "USD",
"type": "regular",
"label": "ops",
"customer_id": "550e8400-e29b-41d4-a716-446655440178",
"blockchain_network": "polygon"
}
{
"currency": "USD",
"type": "regular",
"label": "ops",
"customer_id": "550e8400-e29b-41d4-a716-446655440178",
"blockchain_network": "polygon",
"wallet_address": "0x25a4c9853e761753ae18d6871731e305b8b0b2a4"
}

Responses

Status Description
200 Account created
400 Request failed. All gateway errors are returned as HTTP 400 with this envelope.

200 response

Account kind.

Possible values: active, frozen, deleted, pending

400 response

Human-readable error message.

Authorization

  • ApiKeyAuth
Was this page helpful?
Assistant
Responses are generated using AI and may contain mistakes.

Ask me anything about the documentation.

ESC